summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: ea217aa)
raw | patch | inline | side by side (parent: ea217aa)
author | hfrenzel-guest <hfrenzel-guest@98d490a6-b407-0410-aaaa-fdee166ba3f5> | |
Thu, 18 Oct 2007 22:34:01 +0000 (22:34 +0000) | ||
committer | hfrenzel-guest <hfrenzel-guest@98d490a6-b407-0410-aaaa-fdee166ba3f5> | |
Thu, 18 Oct 2007 22:34:01 +0000 (22:34 +0000) |
git-svn-id: svn://svn.debian.org/svn/pkg-nagios/nagvis/trunk@1243 98d490a6-b407-0410-aaaa-fdee166ba3f5
debian/changelog | patch | blob | history | |
debian/links | patch | blob | history | |
debian/postinst | patch | blob | history | |
debian/postrm | [new file with mode: 0644] | patch | blob |
diff --git a/debian/changelog b/debian/changelog
index 6361db9d079ce6039b7fd0beca51a6cbc88ad53c..e89bdf356d2114dba5b1350b7b1c895ceb1a0288 100644 (file)
--- a/debian/changelog
+++ b/debian/changelog
+nagvis (1:1.1-2) unstable; urgency=low
+
+ * Symlinked images/maps and images/tempates to the apropriate directory below
+ /etc/nagvis
+ * Added missing debian/postrm
+
+ -- Hendrik Frenzel <hfrenzel@scunc.net> Fri, 19 Oct 2007 00:30:05 +0200
+
nagvis (1:1.1-1) unstable; urgency=low
* New upstream release
diff --git a/debian/links b/debian/links
index ca706d44a517d67e472ba5ba7fcd3bb458224a0e..b7e513be74755c0a50506d97b84da72884890f96 100644 (file)
--- a/debian/links
+++ b/debian/links
etc/nagvis/maps usr/share/nagvis/htdocs/nagvis/etc/maps
+etc/nagvis/maps usr/share/nagvis/htdocs/nagvis/htdocs/nagvis/images/maps
etc/nagvis/templates usr/share/nagvis/htdocs/nagvis/etc/templates
+etc/nagvis/templates usr/share/nagvis/htdocs/nagvis/htdocs/nagvis/images/templates
usr/share/nagvis/htdocs usr/share/nagios2/htdocs/nagvis
diff --git a/debian/postinst b/debian/postinst
index 924f94b48b31524154817db2fecfe729f5239b6f..d33d9379297e1b9419a0cfa1cad43cf814e7430e 100644 (file)
--- a/debian/postinst
+++ b/debian/postinst
test -f $f && setperm www-data www-data 0644 $f
test -d $f && setperm www-data www-data 0755 $f
done
- setperm www-data www-data 0775 /usr/share/nagvis/htdocs/nagvis/images/maps
setperm www-data www-data 0775 /usr/share/nagvis/htdocs/nagvis/etc/maps
ucf /usr/share/nagvis/debian/apache.conf /etc/nagvis/apache.conf
+ #if ! [ -e /etc/apache2/conf.d/nagvis.conf ]; then
+ # ln -s /etc/nagvis/apache.conf /etc/apache2/conf.d/nagvis.conf
+ #fi
+
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/postrm b/debian/postrm
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,59 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+
+if [ -f /usr/share/dbconfig-common/dpkg/postrm.@@DB@@ ]; then
+ . /usr/share/dbconfig-common/dpkg/frontend.postrm.mysql
+ dbc_go nagvis $@
+fi
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+if [ "$1" = "purge" ]; then
+ for file in apache.conf config.ini.php; do
+ rm -f /etc/nagvis/$file
+ ucf --purge /etc/nagvis/$file
+ done
+
+ #if [ -e /etc/apache2/conf.d/nagvis.conf ]; then
+ # rm -f /etc/apache2/conf.d/nagvis.conf
+ #fi
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+